Index: atomfeed
===================================================================
--- atomfeed	(revision 250)
+++ atomfeed	(working copy)
@@ -35,6 +35,9 @@
 
 $utc_date = '';
 
+$feed_utc_date = '';
+use vars qw/$feed_utc_date/;
+
 # --------------------------------
 
 sub start {
@@ -62,6 +65,9 @@
   $utc_date = "$utc[5]-$utc[2]-$utc[3]T$utc[4]:00Z";
   $utc_yr = $utc[5];
 
+  # Date/time of most recently-modified story becomes date/time of the feed.
+  $feed_utc_date = $utc_date if $utc_date > $feed_utc_date;
+
   # Set authorship if available, falling back to $atomfeed::author
   $author = $whoami::fullname || $fauxami::name || $default_author || '';
 
@@ -119,7 +125,10 @@
 
 STORY
 
-  $blosxom::template{'atom'}{'foot'} = "\n</feed>\n";
+  $blosxom::template{'atom'}{'foot'} =<<'FOOT';
+<modified>$atomfeed::feed_utc_date</modified>
+</feed>
+FOOT
 
   1;
 }
